# $Revision: 1.7.2.1 $, $Date: 2003/07/11 20:30:36 $
Summary:	KSambaPlugin is KDE3 plugin for configuring SAMBA server
Summary(pl):	KSambaPlugin jest pluginem dla KDE3 do konfiguracji serwera SAMBA
Name:		ksambaplugin
Version:	0.4.2
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ksambakdeplugin/%{name}-%{version}.tar.bz2
# Source0-md5: c7f467463fcef82e50e4a99b1052aadf
URL:		http://ksambakdeplugin.sourceforge.net/
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_htmldir	/usr/share/doc/kde/HTML

%description
KSambaPlugin is a KDE 3 plugin for configuring a SAMBA server. It
consists of two plugins, a KControl Center module for all SAMBA
options and a Konqueror properties dialog plugin for quickly
configuring the SAMBA share options of a directory. It is meant to be
a full SAMBA configuration tool.

%description -l pl
KSambaPlugin jest pluginem dla KDE3 sucym do konfiguracji serwera
SAMBA. Skada si z dwch czci: moduu KControl Center dla
wszystkich opcji SAMBY i plugina w dialogu waciwoci w Konquerorze
do szybkiego skonfigurowania opcji udostpniania katalogu w SAMBIE.
Jest pomylana jako pene narzdzie do konfiguracji SAMBY.

%prep
%setup -q

%build
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings/KDE

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_applnkdir}/{Settings/[!K]*,Settings/KDE}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/ksambakonqiplugin.la
%attr(755,root,root) %{_libdir}/kde3/ksambakonqiplugin.so*
%{_libdir}/kde3/libkcm_kcmsambaconf.la
%attr(755,root,root) %{_libdir}/kde3/libkcm_kcmsambaconf.so
%{_datadir}/services/ksambakonqiplugin.desktop
%{_applnkdir}/Settings/KDE/Network/kcmsambaconf.desktop
%{_pixmapsdir}/*/*/*/kcmsambaconf.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksambaplugin.spec,v $
Revision 1.7.2.1  2003/07/11 20:30:36  blues
- prefix for RA

Revision 1.7  2003/07/11 20:28:30  blues
- cosmetics

Revision 1.6  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.5  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.4  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/19 13:14:43  adgor
- Fixed source URL

Revision 1.2  2003/02/19 12:22:03  adgor
- Prefix /usr (/usr/X11R6 will be in RA-branch)
- applnkdir/pixmapsdir are prefix independent
- Removed redundant br (qt-devel)
- Simplifications/Cosmetics
- Looks nice :)
- Release 2

Revision 1.1  2003/02/19 09:31:41  jasio
Initial release. This SPEC is intended for RA release. RPM and SRPM are
building from this SPEC.

